package com.ruoyi.book.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.book.domain.BookInfo;

/**
 * 书籍信息Mapper接口
 *
 * @author DongZeLiang
 * @date 2023-10-09
 */
public interface BookInfoMapper extends BaseMapper<BookInfo> {
    /**
     * 查询书籍信息
     *
     * @param id 书籍信息主键
     * @return 书籍信息
     */
    public BookInfo selectBookInfoById(Long id);

    /**
     * 查询书籍信息列表
     *
     * @param bookInfo 书籍信息
     * @return 书籍信息集合
     */
    public List<BookInfo> selectBookInfoList(BookInfo bookInfo);

    /**
     * 修改书籍信息
     *
     * @param bookInfo 书籍信息
     * @return 结果
     */
    public int updateBookInfo(BookInfo bookInfo);

    /**
     * 删除书籍信息
     *
     * @param id 书籍信息主键
     * @return 结果
     */
    public int deleteBookInfoById(Long id);

    /**
     * 批量删除书籍信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBookInfoByIds(Long[] ids);
}
